# VecTDotEnd

Ends a split phase transpose dot product computation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecTDotEnd(Vec x,Vec y,PetscScalar *result)

### Input Parameters

| x | - the first vector (can be PETSC_NULL)
| y | - the second vector (can be PETSC_NULL)
| result | - where the result will go

### C++ variants

| PetscScalar VecTDotEnd(Vec x,Vec y) |  | -> |  | VecTDotEnd(x,y,&s); return s;

### Notes

Each call to VecTDotBegin() should be paired with a call to VecTDotEnd().

seealso: VecTDotBegin(), VecNormBegin(), VecNormEnd(), VecNorm(), VecDot(), VecMDot(), VecDotBegin(), VecDotEnd()

Level:advanced
Location: src/vec/vec/utils/comb.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages